compact2, compact3
javax.xml.stream.events

## Interface StartDocument

- All Superinterfaces:
    XMLEvent, XMLStreamConstants

      public interface StartDocument
      extends XMLEvent

  An interface for the start document event
  Since:
    1.6
  Version:
    1.0

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `encodingSet()` | Returns true if CharacterEncodingScheme was set in the encoding declaration of the document
    `String` | `getCharacterEncodingScheme()` | Returns the encoding style of the XML data
    `String` | `getSystemId()` | Returns the system ID of the XML data
    `String` | `getVersion()` | Returns the version of XML of this XML stream
    `boolean` | `isStandalone()` | Returns if this XML is standalone
    `boolean` | `standaloneSet()` | Returns true if the standalone attribute was set in the encoding declaration of the document.

    - ### Methods inherited from interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- - ### Method Detail

    - #### getSystemId

          String getSystemId()

      Returns the system ID of the XML data
      Returns:
        the system ID, defaults to ""

    - #### getCharacterEncodingScheme

          String getCharacterEncodingScheme()

      Returns the encoding style of the XML data
      Returns:
        the character encoding, defaults to "UTF-8"

    - #### encodingSet

          boolean encodingSet()

      Returns true if CharacterEncodingScheme was set in the encoding declaration of the document

    - #### isStandalone

          boolean isStandalone()

      Returns if this XML is standalone
      Returns:
        the standalone state of XML, defaults to "no"

    - #### standaloneSet

          boolean standaloneSet()

      Returns true if the standalone attribute was set in the encoding declaration of the document.

    - #### getVersion

          String getVersion()

      Returns the version of XML of this XML stream
      Returns:
        the version of XML, defaults to "1.0"

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.